Bug 99067 - [PATCH] finance/php4-pfpro: fix default certificate path
Summary: [PATCH] finance/php4-pfpro: fix default certificate path
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-17 02:10 UTC by never
Modified: 2006-09-10 17:31 UTC (History)
0 users

See Also:


Attachments
file.diff (1.86 KB, patch)
2006-06-17 02:10 UTC, never
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description never 2006-06-17 02:10:17 UTC
	Fix default certificates path to be in sync with PR/98996.

Fix: Apply following patch in /usr/ports
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2006-06-17 02:12:15 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer
Comment 2 never 2006-06-17 03:25:01 UTC
Hello, Alexandr Kovalenko!

On Sat, Jun 17, 2006 at 04:00:31AM +0300, you wrote:

> 
> >Number:         99067
> >Category:       ports
> >Synopsis:       [PATCH] finance/php4-pfpro: fix default certificate path
> >Confidential:   no
> >Severity:       serious
> >Priority:       medium
> >Responsible:    freebsd-ports-bugs
> >State:          open
> >Quarter:        
> >Keywords:       
> >Date-Required:
> >Class:          update
> >Submitter-Id:   current-users
> >Arrival-Date:   Sat Jun 17 01:10:17 GMT 2006
> >Closed-Date:
> >Last-Modified:
> >Originator:     Alexandr Kovalenko
> >Release:        FreeBSD 6.1-RELEASE-p1 i386
> >Organization:
> PortaOne, Inc., http://portaone.com/
> >Environment:
> System: FreeBSD mile.zukabuka.com 6.1-RELEASE-p1 FreeBSD 6.1-RELEASE-p1 #0: Mon Jun 12 19:58:45 EEST 2006     root@mile.zukabuka.com:/usr/obj/usr/src/sys/mile  i386
> 
> >Description:
> 	Fix default certificates path to be in sync with PR/98996.
> >How-To-Repeat:
> 	N/A
> >Fix:

I'm not sure if php4-pfpro need PORTREVISION bump in this case. Please advise.

> Apply following patch in /usr/ports
> 
> --- /dev/null	Wed Dec 31 16:00:00 1969
> +++ finance/php4-pfpro/files/patch-pfpro.c	Fri Jun 16 17:19:35 2006
> @@ -0,0 +1,35 @@
> +--- pfpro.c.orig	Sun Jan  1 05:46:56 2006
> ++++ pfpro.c	Fri Jun 16 17:18:05 2006
> +@@ -80,6 +80,7 @@
> + 	STD_PHP_INI_ENTRY("pfpro.proxyport",      "",    PHP_INI_ALL, OnUpdateInt,    proxyport,      zend_pfpro_globals, pfpro_globals)
> + 	STD_PHP_INI_ENTRY("pfpro.proxylogon",     "",    PHP_INI_ALL, OnUpdateString, proxylogon,     zend_pfpro_globals, pfpro_globals)
> + 	STD_PHP_INI_ENTRY("pfpro.proxypassword",  "",    PHP_INI_ALL, OnUpdateString, proxypassword,  zend_pfpro_globals, pfpro_globals)
> ++	STD_PHP_INI_ENTRY("pfpro.certpath",       "%%PREFIX%%/etc/pfpro/certs",    PHP_INI_ALL, OnUpdateString, certpath,       zend_pfpro_globals, pfpro_globals)
> + PHP_INI_END()
> + 
> + /* {{{ php_extname_init_globals
> +@@ -94,6 +95,7 @@
> + 	pfpro_globals->proxyport      = 0;
> + 	pfpro_globals->proxylogon     = NULL;
> + 	pfpro_globals->proxypassword  = NULL;
> ++	pfpro_globals->certpath       = NULL;
> + }
> + /* }}} */
> + 
> +@@ -133,6 +135,7 @@
> + 	php_info_print_table_start();
> + 	php_info_print_table_row(2, "Verisign Payflow Pro support", "enabled");
> + 	php_info_print_table_row(2, "libpfpro version", pfproVersion());
> ++	php_info_print_table_row(2, "pfpro.certpath", PFPROG(certpath));
> + 	php_info_print_table_end();
> + 
> + 	DISPLAY_INI_ENTRIES();
> +@@ -158,6 +161,8 @@
> + 	if (ZEND_NUM_ARGS() != 0) {
> + 		WRONG_PARAM_COUNT;
> + 	}
> ++
> ++	setenv("PFPRO_CERT_PATH", PFPROG(certpath), 0);
> + 
> + 	pfproInit();
> + 
> --- lang/php4/Makefile.ext	Fri Jun 16 17:26:40 2006
> +++ lang/php4/Makefile.ext	Fri Jun 16 17:43:28 2006
> @@ -267,6 +267,8 @@
>  .if ${PHP_MODNAME} == "pfpro"
>  BUILD_DEPENDS+=	${LOCALBASE}/lib/libpfpro.so:${PORTSDIR}/finance/pfpro
>  CONFIGURE_ARGS+=--with-pfpro=${LOCALBASE}
> +post-patch:
> +	@${REINPLACE_CMD} "s|%%PREFIX%%|${LOCALBASE}|" ${WRKSRC}/pfpro.c
>  .endif
>  
>  .if ${PHP_MODNAME} == "pgsql"
> >Release-Note:
> >Audit-Trail:
> >Unformatted:
> _______________________________________________
> freebsd-ports-bugs@freebsd.org mailing list
> http://lists.freebsd.org/mailman/listinfo/freebsd-ports-bugs
> To unsubscribe, send any mail to "freebsd-ports-bugs-unsubscribe@freebsd.org"

-- 
NEVE-RIPE, will build world for food
Ukrainian FreeBSD User Group
http://uafug.org.ua/
Comment 3 Alex Dupre freebsd_committer 2006-09-10 17:31:13 UTC
State Changed
From-To: open->closed

Committed, thanks!